-- 基础信息
base_info = {
	group_id = 235852003
}

-- DEFS_MISCS
local        defs = {

        --连线形态
        patterns =
        {
                --形态1
                [1] =
                {
                       	[3001] = 3002,
                        	[3002] = 3003,
		[3003] = 3004,
                                [3004] = 3005,
                                [3005] = 3006,
                                [3006] = 3007,
 [3007] = 0,
                },
                --形态2
                [2] =
                {
                       	[35001] = 35003,
                        	[35002] = 35004,
		[35003] = 35004,
                                [35004] = 35006,
                                [35005] = 35001,
                                [35006] = 35001,
                },
        }

}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[3001] = { config_id = 3001, gadget_id = 70310179, pos = { x = 400.273, y = 654.578, z = -1650.073 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[3002] = { config_id = 3002, gadget_id = 70310179, pos = { x = 393.353, y = 654.578, z = -1646.118 }, rot = { x = 0.000, y = 62.587, z = 0.000 }, level = 1 },
	[3003] = { config_id = 3003, gadget_id = 70310179, pos = { x = 390.775, y = 651.818, z = -1636.949 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[3004] = { config_id = 3004, gadget_id = 70310179, pos = { x = 401.728, y = 653.236, z = -1640.526 }, rot = { x = 0.000, y = 336.491, z = 0.000 }, level = 1 },
	[3005] = { config_id = 3005, gadget_id = 70310179, pos = { x = 405.367, y = 654.578, z = -1635.178 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, state = GadgetState.GearAction2 },
	[3006] = { config_id = 3006, gadget_id = 70310179, pos = { x = 410.304, y = 654.578, z = -1636.323 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[3007] = { config_id = 3007, gadget_id = 70310179, pos = { x = 409.377, y = 654.578, z = -1644.079 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[3008] = { config_id = 3008, gadget_id = 70310389, pos = { x = 401.480, y = 654.578, z = -1641.332 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[3009] = { config_id = 3009, gadget_id = 70310179, pos = { x = 405.367, y = 654.578, z = -1635.178 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, state = GadgetState.GearStart }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 3001, 3002, 3003, 3004, 3005, 3006, 3007, 3008, 3009 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_8/ConstellationPattern"
